EndpointsCoworlds
Update Coworld commissioner image
POST
/v2/coworlds/patch-commissionerPublishes a new Coworld version with an updated commissioner image.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
coworld_name*Coworld Name
Coworld name to update.
Length
1 <= lengthcontainer_image_id*Container Image Id
Ready container image for the commissioner runnable.
Match
^img_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$runnable_id?|
Commissioner runnable ID. Required when the Coworld defines more than one.
version?|
Version for the published Coworld update.
curl -X POST "https://softmax.com/api/observatory/v2/coworlds/patch-commissioner" \ -H "Content-Type: application/json" \ -d '{ "coworld_name": "string", "container_image_id": "string" }'{ "name": "string", "id": "string", "version": "string", "visibility": "public", "manifest": {}, "api_version": "string", "schema_hash": "string", "manifest_hash": "string", "size_bytes": 0, "canonical": true, "forum_markdown_url": "string", "wiki_markdown_url": "string", "documentation_url": "string", "certification_status_url": "string", "certification_transcript_url": "string"}